FUNCTION TE(3)

NAME
boost::program_options::parse_config_file

SYNOPSIS

// In header: <boost/program_options/parsers.hpp>
template<typename charT>
  BOOST_PROGRAM_OPTIONS_DECL basic_parsed_options< charT >
  parse_config_file(const char * filename, const options_description &,
                    bool allow_unregistered = false);

DESCRIPTION

Parse a config file.

Read from file with the given name. The character type is passed to the file stream.